#pragma once
#ifndef QToolAbstract_H_
#define QToolAbstract_H_

#include "BaseConstVariable.h"
#include <QTreeWidgetItem>
#include <QPushButton>
#include <QMessageBox>
#include <QDebug>
#include <QWidget>
#include <QItemDelegate>
#include <QString>


// 自定义 QTreeWidgetItem 继承类
class BASECONSTVARIABLEAPI QToolAbstract : public QObject {
    Q_OBJECT
public:
    QToolAbstract(QObject* parent=nullptr);
    ~QToolAbstract();
public slots:
   virtual  void excute();
   virtual void setToolXpath(QVector<QString> toolPath);
   virtual void setToolName(QString toolname);
   virtual QVector<QString> getToolXpath();
   virtual QString getToolName();
public:
    QVector<QString> toolPath;
    QString toolname;
};

/*
// 注册工具箱
PluginTool_*.dll
void RegisterPreToolBox(RasterProcessTool* mainWindows);
extern "C" void RegisterPreToolBox(LAMPMainWidget::RasterMainWidget* mainwindows,ToolBoxWidget* toolbox);
*/
#endif // !1